## org.jboss.jms.asf
Class StdServerSessionPoolFactory

    java.lang.Object
      |
      +--org.jboss.jms.asf.StdServerSessionPoolFactory

All Implemented Interfaces:
  java.io.Serializable, ServerSessionPoolFactory

public class StdServerSessionPoolFactory
extends java.lang.Object
implements ServerSessionPoolFactory, java.io.Serializable

An implementation of ServerSessionPoolFactory.

Created: Fri Dec 22 09:47:41 2000

Version:
  $Revision: 1.3.6.3 $
Author:
  Peter Antman ., Hiram Chirino .
See Also:
  Serialized Form

Constructor Summary
`StdServerSessionPoolFactory()` Construct a `StdServerSessionPoolFactory` .

Method Summary
`java.lang.String` `getName()` Get the name of the factory.
`javax.jms.ServerSessionPool` `getServerSessionPool(javax.jms.Connection con, int maxSession, boolean isTransacted, int ack, boolean useLocalTX, javax.jms.MessageListener listener)` Create a new `ServerSessionPool` .
`void` `setName(java.lang.String name)` Set the name of the factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdServerSessionPoolFactory

    public StdServerSessionPoolFactory()

  Construct a `StdServerSessionPoolFactory` .

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the factory.
  Specified by:
    `setName` in interface `ServerSessionPoolFactory`
  Parameters:
    `name` - The name of the factory.

### getName

    public java.lang.String getName()

  Get the name of the factory.
  Specified by:
    `getName` in interface `ServerSessionPoolFactory`
  Returns:
    The name of the factory.

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.Connection con,
                                                            int maxSession,
                                                            boolean isTransacted,
                                                            int ack,
                                                            boolean useLocalTX,
                                                            javax.jms.MessageListener listener)
                                                     throws javax.jms.JMSException

  Create a new `ServerSessionPool` .
  Specified by:
    `getServerSessionPool` in interface `ServerSessionPoolFactory`
  Parameters:
    `con` -
    `maxSession` -
    `isTransacted` -
    `ack` -
    `listener` -
    `isContainerManaged` - Description of Parameter
  Returns:
    A new pool.
  Throws:
    `javax.jms.JMSException` -
    `javax.jms.JMSException` - Description of Exception

Copyright © 2000 The JBoss Organization. All Rights Reserved.